"""The Mimeo Raw Consumer module.

It exports only one class:
    * RawConsumer
        A Consumer implementation printing data in the standard output.
"""
from __future__ import annotations

from mimeo.consumers import Consumer


class RawConsumer(Consumer):
    """A Consumer implementation printing data in the standard output.

    This Consumer is instantiated for the 'stdout' output direction
    and prints data produced by Mimeo in the standard output.

    Methods
    -------
    consume
        Print data generated in the standard output.
    """

    def consume(
            self,
            data: str,
    ) -> None:
        """Print data generated in the standard output.

        It is an implementation of Consumer's abstract method.

        Parameters
        ----------
        data : str
            Stringified data generated by Mimeo
        """
        print(data)
